Skip to content

Get workflow run status

GET/v1/workflowRun/{runId}/status

Returns the current status of a workflow run. This endpoint does not require authentication: possession of the run ID grants access to its status, so keep run IDs private. No run inputs, outputs or workspace details are returned.

Path ParametersExpand Collapse
runId: string

Unique identifier of the workflow run.

ReturnsExpand Collapse
WorkflowRunStatusResponse object { status }
status: string

Current status of the workflow run (for example, STARTED, COMPLETED or FAILED).

Get workflow run status

curl https://api.lightfield.app/v1/workflowRun/$RUN_ID/status \
    -H 'Lightfield-Version: 2026-03-01'
{
  "status": "status"
}
Returns Examples
{
  "status": "status"
}